Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512680 - Review Request: ghc-parsec-numbers - Utilities for parsing numbers from strings
Summary: Review Request: ghc-parsec-numbers - Utilities for parsing numbers from strings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 20:14 UTC by David Shea
Modified: 2017-11-28 23:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 16:22:49 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description David Shea 2017-11-13 20:14:06 UTC
Spec URL: https://raw.githubusercontent.com/weldr/bdcs-copr/master/ghc-parsec-numbers/ghc-parsec-numbers.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/@weldr/bdcs-haskell-deps/fedora-27-x86_64/00606378-ghc-parsec-numbers/ghc-parsec-numbers-0.1.0-1.fc27.src.rpm
Description: Parsec-numbers provides the number parsers without the need to use a large (and
unportable) token parser.

Fedora Account System Username: dshea

Comment 1 Robert-André Mauchin 2017-11-14 18:29:31 UTC
The license file is empty, remove it from %files and ask upstream to include a real one.

ghc-parsec-numbers.x86_64: E: zero-length /usr/share/licenses/ghc-parsec-numbers/LICENSE

Package otherwise accepted.

Comment 2 David Shea 2017-11-15 17:57:45 UTC
fwiw, here's the response from the maintainer:

> Hello,
> 
> I no longer maintain the parsec-numbers package. Use it as you like.
> 
> Cheers Christian


I'll patch in the string cabal has for BSD3

Comment 3 Gwyn Ciesla 2017-11-15 18:03:38 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-parsec-numbers

Comment 4 Fedora Update System 2017-11-15 19:29:58 UTC
ghc-parsec-numbers-0.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-41caa3dc12

Comment 5 Fedora Update System 2017-11-17 18:54:11 UTC
ghc-parsec-numbers-0.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e08d9899fa

Comment 6 Fedora Update System 2017-11-18 01:43:54 UTC
ghc-parsec-numbers-0.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41caa3dc12

Comment 7 Fedora Update System 2017-11-28 16:22:49 UTC
ghc-parsec-numbers-0.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-28 23:49:36 UTC
ghc-parsec-numbers-0.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.